﻿@model CatalogInvitationViewModel


<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                {{Model.CatalogName}}
            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <label class="req-star">Program name</label>
    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.ProgramName)>
        <input ng-model="@Html.Ang(m => m.ProgramName)" type="text" @Html.AngTooltipValidationFor(model => model.ProgramName) />
    </div>
    <label>Provider</label>
    <div class="input-control text">
        <input disabled="disabled" ng-model="@Html.Ang(m => m.ProviderName)" type="text" />
    </div>


    <label>Provider's season</label>
    <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.ProviderSeasonId)>
        <div @Html.AngTooltipValidationFor(model => model.ProviderSeasonId)>

            <select chosen ng-model="@Html.Ang(m => m.ProviderSeasonId)"
                    name="selectedProviderSeason" data-placeholder="Select provider's season..."
                    ng-options="obj.Value as obj.Text for obj in Model.ProviderSeasons"></select>
        </div>
    </div>

    <label>School</label>
    <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SchoolId)>
        <div @Html.AngTooltipValidationFor(model => model.SchoolId)>
            <select chosen ng-model="Model.SchoolId"
                    name="selectedSchool" data-placeholder="Select school..."
                    ng-options="obj.Value as obj.Text for obj in Model.Schools" ng-change="getSchoolSeason()"></select>
        </div>
    </div>

    <label>School's season</label>
    <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SchoolSeasonId)>
        <div @Html.AngTooltipValidationFor(model => model.SchoolSeasonId)>
            <select ng-change="seasonSelected()"
                    id="selectedSchoolSeason"
                    ng-model="@Html.Ang(m => m.SelectedSchoolSeason)"
                    ng-options="obj.Value as obj.Text for obj in schoolSeasonOptions"></select>

        </div>
    </div>

    <div class="input-control radio">
        <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
            <label class="block">
                <input ng-model="@Html.Ang(m => m.WeekDaysMode)" name="IsSpecialDay" value="Any" type="radio" />
                <span class="check"></span>
                Any day
            </label>
        </div>
        <div class="input-control radio default-style place-left  no-margin padding-left20" data-role="input-control">
            <label class="block">
                <input ng-model="@Html.Ang(m => m.WeekDaysMode)" name="IsSpecialDay" value="SpecialDay" type="radio" />
                <span class="check"></span>
                Specific days
            </label>
        </div>
    </div>

    <div class="input-control choosen" data-role="input-control" ng-show="@Html.Ang(m => m.WeekDaysMode) == 'SpecialDay'" @Html.AngValidationClassFor(model => model.SelectedWeekDays)>
        <label>Select weekdays</label>
        <div @Html.AngTooltipValidationFor(model => model.SelectedWeekDays)>
            <select chosen multiple
                    ng-model="@Html.Ang(model => model.SelectedWeekDays)"
                    ng-options="obj.Value as obj.Text for obj in @Html.Ang(model => model.WeekDays)"></select>
        </div>
    </div>

    <div class="grid fluid">
        <div class="row margin-top0">
            <div class="span6">
                <label for="">Start time</label>
                <div class="input-control date-time" @Html.AngValidationClassFor(model => model.StartTime)>
                    <div @Html.AngTooltipValidationFor(model => model.StartTime)>
                        <input ng-model="@Html.Ang(m => m.StartTime)" k-options="MC.timePickerOptionsAllTime5MinInterval59" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker />
                    </div>
                </div>
            </div>
            <div class="span6">
                <label for="">End time</label>
                <div class="input-control date-time" @Html.AngValidationClassFor(model => model.EndTime)>
                    <div @Html.AngTooltipValidationFor(model => model.EndTime)>
                        <input ng-model="@Html.Ang(m => m.EndTime)" k-options="MC.timePickerOptionsAllTime5MinInterval59" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker />
                    </div>
                </div>
            </div>
        </div>

        <div class="row margin-top0">
            <div class="span6">
                <label>Min grade</label>
                <div class="input-control select" @Html.AngValidationClassFor(model => model.SelectedMinGrade)>
                    <select ng-model="@Html.Ang(model => model.SelectedMinGrade)"
                            ng-options="obj.Value as obj.Text for obj in @Html.Ang(model => model.Grades)"
                            @Html.AngTooltipValidationFor(model => model.SelectedMinGrade)></select>
                </div>
            </div>

            <div class="span6">
                <label>Max grade</label>
                <div class="input-control select" @Html.AngValidationClassFor(model => model.SelectedMaxGrade)>
                    <select ng-model="@Html.Ang(model => model.SelectedMaxGrade)"
                            ng-options="obj.Value as obj.Text for obj in @Html.Ang(model => model.Grades)"
                            @Html.AngTooltipValidationFor(model => model.SelectedMaxGrade)></select>
                </div>
            </div>
        </div>
    </div>


    <div class="input-control textarea" data-role="input-control">
        <label>Special requests</label>
        <textarea id="@Html.Ang(m => m.SpecialRequests)" ng-model="@Html.Ang(m => m.SpecialRequests)"></textarea>
    </div>

    <div class="input-control checkbox default-style place-left padding-right20 no-margin" data-role="input-control">
        <label>
            <input ng-model="@Html.Ang(m => m.SendMessageToProvider)" ng-value="true" type="checkbox" />
            <span class="check"></span>
            Send message to provider
        </label>
    </div>

    <div class="clearfix"></div>

    <hr />
    <button type="button" class="success place-right large button" data-ng-click="inviteCatalog()">Submit</button>
    <button type="button" class="link place-left large button" onclick="window.history.back()">Cancel</button>

    <div class="clearfix"></div>

</div>

